Package org.spongepowered.asm.launch.platform.container

## Class ContainerHandleURI

- java.lang.Object
- - org.spongepowered.asm.launch.platform.container.ContainerHandleURI

All Implemented Interfaces:
  `IContainerHandle`, `IMixinConfigSource`

    public class ContainerHandleURI
    extends java.lang.Object
    implements IContainerHandle

Container handle which directly replaces the use of classpath location URIs from previous mixin versions

### Constructor Summary

Constructors
`ContainerHandleURI​(java.net.URI uri)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `equals​(java.lang.Object other)`
`java.lang.String` `getAttribute​(java.lang.String name)` Retrieve the value of attribute with the specified name, or null if not present
`java.lang.String` `getDescription()` Plain text description of the config source, can be as descriptive as necessary to help the user identify the source, for example could be the full path to the source item, or something more descriptive.
`java.io.File` `getFile()` Deprecated.
`java.lang.String` `getId()` Get the identifier for this source
`java.util.Collection<IContainerHandle>` `getNestedContainers()` Get nested containers from this container, allows a container to detect and return containers within itself.
`java.net.URI` `getURI()` Get the URI for this handle
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContainerHandleURI

    public ContainerHandleURI​(java.net.URI uri)

### Method Detail

#### getId

    public java.lang.String getId()

Description copied from interface: `IMixinConfigSource`
Get the identifier for this source

Specified by:
  `getId` in interface `IMixinConfigSource`

#### getDescription

    public java.lang.String getDescription()

Description copied from interface: `IMixinConfigSource`
Plain text description of the config source, can be as descriptive as necessary to help the user identify the source, for example could be the full path to the source item, or something more descriptive.

Specified by:
  `getDescription` in interface `IMixinConfigSource`

#### getURI

    public java.net.URI getURI()

Get the URI for this handle

#### getFile

    @Deprecated
    public java.io.File getFile()

Deprecated.
Get the container file

#### getAttribute

    public java.lang.String getAttribute​(java.lang.String name)

Description copied from interface: `IContainerHandle`
Retrieve the value of attribute with the specified name, or null if not present

Specified by:
  `getAttribute` in interface `IContainerHandle`
Parameters:
  `name` - attribute name
Returns:
  attribute value or null if not present

#### getNestedContainers

    public java.util.Collection<IContainerHandle> getNestedContainers()

Description copied from interface: `IContainerHandle`
Get nested containers from this container, allows a container to detect and return containers within itself. For example a folder container detecting and returning file containers, or a virtual container returning real containers after a scan.

Specified by:
  `getNestedContainers` in interface `IContainerHandle`

#### equals

    public boolean equals​(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`